Export database to URI

Exports the specified database from a managed server instance as an MDF, BAK, or DACPAC database artifact.

The instanceName and databaseName path parameters are required. The optional exportTo query parameter specifies the file format of the exported database artifact. One of 0 (MDF), 1 (BAK) or 2 (DACPAC). By default, 0 (MDF).

🍐

Role-based Permissions

To perform this operation, a principal must belong to a group that has been assigned the appropriate role-based permissions. The table identifies the roles with permission to perform this operation.

ConsumerContributorData Bridge Admin
NOYESNO

To learn more about role-based permissions in Data Bridge, see Access Controls.

Path Params
string
required

Name of managed SQL Server instance.

string
required

Name of database.

Query Params
int32
enum
required

The file format of the exported database artifact. One of 0 (MDF),
1 (BAK), or 2 (DACPAC). By default, 0 (MDF).

Allowed:
boolean
Defaults to false

If undefined or false, database is backed up before it is
detatched. If true, database is taken offline for the duration of
the export job and not backed up. Must be true, if database is >
100GB or error is returned. Valid only if exportTo is 0 (MDF).

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

Bad Request. Some of the provided parameters were not valid.

404

Not found. The entity you are trying to interact with does not
exist.

409

Conflict. The requested resource already exists.

500

Internal Server Error. If the problem persists you may want to
contact the Administrator.

Language
URL
Response
Choose an example:
application/json
text/plain
text/json